--- old/usr/src/uts/intel/hxge/Makefile	Thu Aug  8 11:19:39 2019
+++ new/usr/src/uts/intel/hxge/Makefile	Thu Aug  8 11:19:39 2019
@@ -83,7 +83,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 SMOFF += deref_check,logical_instead_of_bitwise
--- old/usr/src/uts/intel/ib/Makefile	Thu Aug  8 11:19:39 2019
+++ new/usr/src/uts/intel/ib/Makefile	Thu Aug  8 11:19:40 2019
@@ -59,7 +59,7 @@
 #	Overrides.
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # lint pass one enforcement
--- old/usr/src/uts/intel/ibcm/Makefile	Thu Aug  8 11:19:40 2019
+++ new/usr/src/uts/intel/ibcm/Makefile	Thu Aug  8 11:19:40 2019
@@ -63,7 +63,7 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 # needs work
--- old/usr/src/uts/intel/ibdm/Makefile	Thu Aug  8 11:19:41 2019
+++ new/usr/src/uts/intel/ibdm/Makefile	Thu Aug  8 11:19:41 2019
@@ -75,7 +75,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ibmf/Makefile	Thu Aug  8 11:19:42 2019
+++ new/usr/src/uts/intel/ibmf/Makefile	Thu Aug  8 11:19:42 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/ibp/Makefile	Thu Aug  8 11:19:42 2019
+++ new/usr/src/uts/intel/ibp/Makefile	Thu Aug  8 11:19:42 2019
@@ -59,7 +59,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 # needs work
--- old/usr/src/uts/intel/ibtl/Makefile	Thu Aug  8 11:19:43 2019
+++ new/usr/src/uts/intel/ibtl/Makefile	Thu Aug  8 11:19:43 2019
@@ -71,7 +71,7 @@
 
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 
--- old/usr/src/uts/intel/idm/Makefile	Thu Aug  8 11:19:44 2019
+++ new/usr/src/uts/intel/idm/Makefile	Thu Aug  8 11:19:44 2019
@@ -60,7 +60,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/igb/Makefile	Thu Aug  8 11:19:45 2019
+++ new/usr/src/uts/intel/igb/Makefile	Thu Aug  8 11:19:45 2019
@@ -49,7 +49,7 @@
 	-I$(UTSBASE)/common/io/e1000api
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
 # needs work
--- old/usr/src/uts/intel/intel_nb5000/Makefile	Thu Aug  8 11:19:46 2019
+++ new/usr/src/uts/intel/intel_nb5000/Makefile	Thu Aug  8 11:19:46 2019
@@ -62,7 +62,7 @@
 LDFLAGS         += -dy -N drv/smbios
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/intel_nhm/Makefile	Thu Aug  8 11:19:46 2019
+++ new/usr/src/uts/intel/intel_nhm/Makefile	Thu Aug  8 11:19:46 2019
@@ -56,7 +56,7 @@
 CPPFLAGS	+=  -I$(UTSBASE)/i86pc
 LDFLAGS		+= -dy -N drv/smbios
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #       Default build targets.
--- old/usr/src/uts/intel/ip/Makefile	Thu Aug  8 11:19:47 2019
+++ new/usr/src/uts/intel/ip/Makefile	Thu Aug  8 11:19:47 2019
@@ -66,7 +66,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 # false positives
--- old/usr/src/uts/intel/ipc/Makefile	Thu Aug  8 11:19:48 2019
+++ new/usr/src/uts/intel/ipc/Makefile	Thu Aug  8 11:19:48 2019
@@ -64,7 +64,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ipf/Makefile	Thu Aug  8 11:19:49 2019
+++ new/usr/src/uts/intel/ipf/Makefile	Thu Aug  8 11:19:49 2019
@@ -69,7 +69,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-empty-body
 
 # needs work
--- old/usr/src/uts/intel/ipgpc/Makefile	Thu Aug  8 11:19:50 2019
+++ new/usr/src/uts/intel/ipgpc/Makefile	Thu Aug  8 11:19:50 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/filters.o := SMOFF += deref_check
--- old/usr/src/uts/intel/ipsecah/Makefile	Thu Aug  8 11:19:51 2019
+++ new/usr/src/uts/intel/ipsecah/Makefile	Thu Aug  8 11:19:51 2019
@@ -75,7 +75,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/ipsecahddi.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/ipsecesp/Makefile	Thu Aug  8 11:19:52 2019
+++ new/usr/src/uts/intel/ipsecesp/Makefile	Thu Aug  8 11:19:52 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/ipsecespddi.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/iptun/Makefile	Thu Aug  8 11:19:53 2019
+++ new/usr/src/uts/intel/iptun/Makefile	Thu Aug  8 11:19:53 2019
@@ -61,7 +61,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ipw/Makefile	Thu Aug  8 11:19:53 2019
+++ new/usr/src/uts/intel/ipw/Makefile	Thu Aug  8 11:19:53 2019
@@ -51,7 +51,7 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/ipw2100.o := SMOFF += deref_check
--- old/usr/src/uts/intel/iscsi/Makefile	Thu Aug  8 11:19:53 2019
+++ new/usr/src/uts/intel/iscsi/Makefile	Thu Aug  8 11:19:53 2019
@@ -73,7 +73,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/iscsit/Makefile	Thu Aug  8 11:19:54 2019
+++ new/usr/src/uts/intel/iscsit/Makefile	Thu Aug  8 11:19:54 2019
@@ -60,7 +60,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 # needs work
--- old/usr/src/uts/intel/iser/Makefile	Thu Aug  8 11:19:54 2019
+++ new/usr/src/uts/intel/iser/Makefile	Thu Aug  8 11:19:55 2019
@@ -45,7 +45,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/iser_ib.o := SMOFF += deref_check
--- old/usr/src/uts/intel/iwh/Makefile	Thu Aug  8 11:19:55 2019
+++ new/usr/src/uts/intel/iwh/Makefile	Thu Aug  8 11:19:55 2019
@@ -60,7 +60,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 CPPFLAGS	+= -I. -D_KERNEL
 
--- old/usr/src/uts/intel/iwk/Makefile	Thu Aug  8 11:19:55 2019
+++ new/usr/src/uts/intel/iwk/Makefile	Thu Aug  8 11:19:55 2019
@@ -65,7 +65,7 @@
 LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/iwk2.o := SMOFF += precedence
--- old/usr/src/uts/intel/iwp/Makefile	Thu Aug  8 11:19:56 2019
+++ new/usr/src/uts/intel/iwp/Makefile	Thu Aug  8 11:19:56 2019
@@ -64,7 +64,7 @@
 LDFLAGS         += -dy -Nmisc/mac -Nmisc/net80211 -Ndrv/random -Ndrv/ip 
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ixgbe/Makefile	Thu Aug  8 11:19:56 2019
+++ new/usr/src/uts/intel/ixgbe/Makefile	Thu Aug  8 11:19:56 2019
@@ -57,7 +57,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_cc=-erroff=E_STATEMENT_NOT_REACHED
 
--- old/usr/src/uts/intel/kaio/Makefile	Thu Aug  8 11:19:57 2019
+++ new/usr/src/uts/intel/kaio/Makefile	Thu Aug  8 11:19:57 2019
@@ -73,7 +73,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/kcf/Makefile	Thu Aug  8 11:19:57 2019
+++ new/usr/src/uts/intel/kcf/Makefile	Thu Aug  8 11:19:57 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -I$(COM_DIR)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 
--- old/usr/src/uts/intel/kgssapi/Makefile	Thu Aug  8 11:19:58 2019
+++ new/usr/src/uts/intel/kgssapi/Makefile	Thu Aug  8 11:19:58 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/gssd_clnt_stubs.o := SMOFF += indenting,deref_check
--- old/usr/src/uts/intel/kmech_krb5/Makefile	Thu Aug  8 11:19:58 2019
+++ new/usr/src/uts/intel/kmech_krb5/Makefile	Thu Aug  8 11:19:58 2019
@@ -71,7 +71,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/kssl/Makefile	Thu Aug  8 11:19:59 2019
+++ new/usr/src/uts/intel/kssl/Makefile	Thu Aug  8 11:19:59 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ksslf/Makefile	Thu Aug  8 11:19:59 2019
+++ new/usr/src/uts/intel/ksslf/Makefile	Thu Aug  8 11:19:59 2019
@@ -68,7 +68,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/kstat/Makefile	Thu Aug  8 11:20:00 2019
+++ new/usr/src/uts/intel/kstat/Makefile	Thu Aug  8 11:20:00 2019
@@ -64,7 +64,7 @@
 #
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/ldterm/Makefile	Thu Aug  8 11:20:00 2019
+++ new/usr/src/uts/intel/ldterm/Makefile	Thu Aug  8 11:20:00 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/llc1/Makefile	Thu Aug  8 11:20:01 2019
+++ new/usr/src/uts/intel/llc1/Makefile	Thu Aug  8 11:20:01 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/llc1.o := SMOFF += no_if_block,deref_check
--- old/usr/src/uts/intel/lofi/Makefile	Thu Aug  8 11:20:01 2019
+++ new/usr/src/uts/intel/lofi/Makefile	Thu Aug  8 11:20:01 2019
@@ -49,7 +49,7 @@
 #
 INC_PATH	+= -I$(SRC)/common/lzma
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/mac/Makefile	Thu Aug  8 11:20:02 2019
+++ new/usr/src/uts/intel/mac/Makefile	Thu Aug  8 11:20:02 2019
@@ -60,7 +60,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/mc-amd/Makefile	Thu Aug  8 11:20:03 2019
+++ new/usr/src/uts/intel/mc-amd/Makefile	Thu Aug  8 11:20:03 2019
@@ -62,7 +62,7 @@
 CLOBBERFILES	+= $(MCAMD_OFF_H)
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #       Default build targets.
--- old/usr/src/uts/intel/mega_sas/Makefile	Thu Aug  8 11:20:04 2019
+++ new/usr/src/uts/intel/mega_sas/Makefile	Thu Aug  8 11:20:04 2019
@@ -62,7 +62,7 @@
 #
 LDFLAGS		+= -dy -Nmisc/scsi
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/megaraid_sas.o := SMOFF += snprintf_overflow,all_func_returns
--- old/usr/src/uts/intel/mii/Makefile	Thu Aug  8 11:20:04 2019
+++ new/usr/src/uts/intel/mii/Makefile	Thu Aug  8 11:20:04 2019
@@ -54,7 +54,7 @@
 LDFLAGS		+= -dy -N misc/mac
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns
--- old/usr/src/uts/intel/mpt_sas/Makefile	Thu Aug  8 11:20:05 2019
+++ new/usr/src/uts/intel/mpt_sas/Makefile	Thu Aug  8 11:20:05 2019
@@ -54,7 +54,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/mptsas_raid.o := SMOFF += index_overflow
--- old/usr/src/uts/intel/mr_sas/Makefile	Thu Aug  8 11:20:05 2019
+++ new/usr/src/uts/intel/mr_sas/Makefile	Thu Aug  8 11:20:05 2019
@@ -58,7 +58,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/msgsys/Makefile	Thu Aug  8 11:20:05 2019
+++ new/usr/src/uts/intel/msgsys/Makefile	Thu Aug  8 11:20:05 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/mwl/Makefile	Thu Aug  8 11:20:06 2019
+++ new/usr/src/uts/intel/mwl/Makefile	Thu Aug  8 11:20:06 2019
@@ -65,7 +65,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 
 # needs work
--- old/usr/src/uts/intel/net80211/Makefile	Thu Aug  8 11:20:06 2019
+++ new/usr/src/uts/intel/net80211/Makefile	Thu Aug  8 11:20:06 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/nfs/Makefile	Thu Aug  8 11:20:07 2019
+++ new/usr/src/uts/intel/nfs/Makefile	Thu Aug  8 11:20:07 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/uts/intel/nfssrv/Makefile	Thu Aug  8 11:20:07 2019
+++ new/usr/src/uts/intel/nfssrv/Makefile	Thu Aug  8 11:20:07 2019
@@ -80,7 +80,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 # needs work
--- old/usr/src/uts/intel/nge/Makefile	Thu Aug  8 11:20:07 2019
+++ new/usr/src/uts/intel/nge/Makefile	Thu Aug  8 11:20:08 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns
--- old/usr/src/uts/intel/nv_sata/Makefile	Thu Aug  8 11:20:08 2019
+++ new/usr/src/uts/intel/nv_sata/Makefile	Thu Aug  8 11:20:08 2019
@@ -75,7 +75,7 @@
 #
 LINTTAGS        += -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/nv_sata.o := SMOFF += deref_check
--- old/usr/src/uts/intel/nxge/Makefile	Thu Aug  8 11:20:08 2019
+++ new/usr/src/uts/intel/nxge/Makefile	Thu Aug  8 11:20:08 2019
@@ -87,7 +87,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 
 # needs work
--- old/usr/src/uts/intel/objfs/Makefile	Thu Aug  8 11:20:09 2019
+++ new/usr/src/uts/intel/objfs/Makefile	Thu Aug  8 11:20:09 2019
@@ -71,7 +71,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/objfs_vfs.o := SMOFF += signed_integer_overflow_check
--- old/usr/src/uts/intel/oce/Makefile	Thu Aug  8 11:20:09 2019
+++ new/usr/src/uts/intel/oce/Makefile	Thu Aug  8 11:20:09 2019
@@ -58,7 +58,7 @@
 
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 #
--- old/usr/src/uts/intel/ohci/Makefile	Thu Aug  8 11:20:09 2019
+++ new/usr/src/uts/intel/ohci/Makefile	Thu Aug  8 11:20:09 2019
@@ -64,7 +64,7 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/openeepr/Makefile	Thu Aug  8 11:20:10 2019
+++ new/usr/src/uts/intel/openeepr/Makefile	Thu Aug  8 11:20:10 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/openprom.o := SMOFF += cast_assign,strcpy_overflow
--- old/usr/src/uts/intel/p4_pcbe/Makefile	Thu Aug  8 11:20:10 2019
+++ new/usr/src/uts/intel/p4_pcbe/Makefile	Thu Aug  8 11:20:10 2019
@@ -60,7 +60,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/pcfs/Makefile	Thu Aug  8 11:20:11 2019
+++ new/usr/src/uts/intel/pcfs/Makefile	Thu Aug  8 11:20:11 2019
@@ -66,7 +66,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-function
 
 # needs work
--- old/usr/src/uts/intel/pcic/Makefile	Thu Aug  8 11:20:12 2019
+++ new/usr/src/uts/intel/pcic/Makefile	Thu Aug  8 11:20:12 2019
@@ -77,7 +77,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += no_if_block,indenting,all_func_returns
--- old/usr/src/uts/intel/pcicfg/Makefile	Thu Aug  8 11:20:14 2019
+++ new/usr/src/uts/intel/pcicfg/Makefile	Thu Aug  8 11:20:14 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/pcicfg.o := SMOFF += deref_check
--- old/usr/src/uts/intel/pcmcia/Makefile	Thu Aug  8 11:20:15 2019
+++ new/usr/src/uts/intel/pcmcia/Makefile	Thu Aug  8 11:20:15 2019
@@ -81,7 +81,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/pm/Makefile	Thu Aug  8 11:20:16 2019
+++ new/usr/src/uts/intel/pm/Makefile	Thu Aug  8 11:20:16 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/pmcs/Makefile	Thu Aug  8 11:20:16 2019
+++ new/usr/src/uts/intel/pmcs/Makefile	Thu Aug  8 11:20:16 2019
@@ -63,7 +63,7 @@
 	-DPMCS_FIRMWARE_VERSION_STRING=\"${PMCS_FW_VERSION_STRING}\"
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
--- old/usr/src/uts/intel/poll/Makefile	Thu Aug  8 11:20:18 2019
+++ new/usr/src/uts/intel/poll/Makefile	Thu Aug  8 11:20:18 2019
@@ -49,7 +49,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # It's unfortunate that we have to disable this; however, it's lint's fault. We
--- old/usr/src/uts/intel/portfs/Makefile	Thu Aug  8 11:20:20 2019
+++ new/usr/src/uts/intel/portfs/Makefile	Thu Aug  8 11:20:20 2019
@@ -74,7 +74,7 @@
 #
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/pppt/Makefile	Thu Aug  8 11:20:22 2019
+++ new/usr/src/uts/intel/pppt/Makefile	Thu Aug  8 11:20:22 2019
@@ -63,7 +63,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/procfs/Makefile	Thu Aug  8 11:20:22 2019
+++ new/usr/src/uts/intel/procfs/Makefile	Thu Aug  8 11:20:22 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/prsubr.o := SMOFF += all_func_returns
--- old/usr/src/uts/intel/ptem/Makefile	Thu Aug  8 11:20:23 2019
+++ new/usr/src/uts/intel/ptem/Makefile	Thu Aug  8 11:20:23 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/qlc/Makefile	Thu Aug  8 11:20:24 2019
+++ new/usr/src/uts/intel/qlc/Makefile	Thu Aug  8 11:20:24 2019
@@ -78,7 +78,7 @@
 FWMODULES        = $(FWIMAGES:%=$(MODULE)_fw_%)
 FWMODULES_SRC    = $(FWIMAGES:%=$(CONF_SRCDIR)/ql_fw_%.c)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/intel/qlge/Makefile	Thu Aug  8 11:20:25 2019
+++ new/usr/src/uts/intel/qlge/Makefile	Thu Aug  8 11:20:25 2019
@@ -65,7 +65,7 @@
 C99LMODE=	-Xc99=%all
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/qlge.o := SMOFF += deref_check
--- old/usr/src/uts/intel/qlt/Makefile	Thu Aug  8 11:20:26 2019
+++ new/usr/src/uts/intel/qlt/Makefile	Thu Aug  8 11:20:26 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/rds/Makefile	Thu Aug  8 11:20:26 2019
+++ new/usr/src/uts/intel/rds/Makefile	Thu Aug  8 11:20:26 2019
@@ -42,7 +42,7 @@
 #
 include $(UTSBASE)/intel/Makefile.intel
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/rdsib/Makefile	Thu Aug  8 11:20:28 2019
+++ new/usr/src/uts/intel/rdsib/Makefile	Thu Aug  8 11:20:28 2019
@@ -43,7 +43,7 @@
 include $(UTSBASE)/intel/Makefile.intel
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Define targets
--- old/usr/src/uts/intel/rdsv3/Makefile	Thu Aug  8 11:20:30 2019
+++ new/usr/src/uts/intel/rdsv3/Makefile	Thu Aug  8 11:20:30 2019
@@ -63,7 +63,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/rge/Makefile	Thu Aug  8 11:20:31 2019
+++ new/usr/src/uts/intel/rge/Makefile	Thu Aug  8 11:20:31 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # looks like a real bug in rge_phy_update() !
 $(OBJS_DIR)/rge_chip.o := SMOFF += indenting
--- old/usr/src/uts/intel/rlmod/Makefile	Thu Aug  8 11:20:32 2019
+++ new/usr/src/uts/intel/rlmod/Makefile	Thu Aug  8 11:20:32 2019
@@ -66,7 +66,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/rpcib/Makefile	Thu Aug  8 11:20:33 2019
+++ new/usr/src/uts/intel/rpcib/Makefile	Thu Aug  8 11:20:33 2019
@@ -76,7 +76,7 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-function
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/rpcmod/Makefile	Thu Aug  8 11:20:35 2019
+++ new/usr/src/uts/intel/rpcmod/Makefile	Thu Aug  8 11:20:35 2019
@@ -84,7 +84,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
--- old/usr/src/uts/intel/rpcsec/Makefile	Thu Aug  8 11:20:36 2019
+++ new/usr/src/uts/intel/rpcsec/Makefile	Thu Aug  8 11:20:36 2019
@@ -67,7 +67,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/auth_des.o := SMOFF += deref_check
--- old/usr/src/uts/intel/rsa/Makefile	Thu Aug  8 11:20:38 2019
+++ new/usr/src/uts/intel/rsa/Makefile	Thu Aug  8 11:20:38 2019
@@ -73,7 +73,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/rsm/Makefile	Thu Aug  8 11:20:39 2019
+++ new/usr/src/uts/intel/rsm/Makefile	Thu Aug  8 11:20:39 2019
@@ -79,7 +79,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-parentheses
 
 # needs work
--- old/usr/src/uts/intel/rtls/Makefile	Thu Aug  8 11:20:41 2019
+++ new/usr/src/uts/intel/rtls/Makefile	Thu Aug  8 11:20:41 2019
@@ -56,7 +56,7 @@
 #	Overrides
 #
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Driver depends on Mac
--- old/usr/src/uts/intel/s1394/Makefile	Thu Aug  8 11:20:42 2019
+++ new/usr/src/uts/intel/s1394/Makefile	Thu Aug  8 11:20:42 2019
@@ -80,7 +80,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-parentheses
 
--- old/usr/src/uts/intel/sad/Makefile	Thu Aug  8 11:20:45 2019
+++ new/usr/src/uts/intel/sad/Makefile	Thu Aug  8 11:20:45 2019
@@ -71,7 +71,7 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/sata/Makefile	Thu Aug  8 11:20:48 2019
+++ new/usr/src/uts/intel/sata/Makefile	Thu Aug  8 11:20:48 2019
@@ -90,7 +90,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-empty-body
 
 # needs work
--- old/usr/src/uts/intel/scsa1394/Makefile	Thu Aug  8 11:20:49 2019
+++ new/usr/src/uts/intel/scsa1394/Makefile	Thu Aug  8 11:20:49 2019
@@ -65,7 +65,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/sbp2_driver.o := SMOFF += indenting
--- old/usr/src/uts/intel/scsa2usb/Makefile	Thu Aug  8 11:20:49 2019
+++ new/usr/src/uts/intel/scsa2usb/Makefile	Thu Aug  8 11:20:49 2019
@@ -72,7 +72,7 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 $(OBJS_DIR)/scsa2usb.o := SMOFF += deref_check
--- old/usr/src/uts/intel/scsi/Makefile	Thu Aug  8 11:20:50 2019
+++ new/usr/src/uts/intel/scsi/Makefile	Thu Aug  8 11:20:50 2019
@@ -74,7 +74,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/uts/intel/scsi_vhci/Makefile	Thu Aug  8 11:20:51 2019
+++ new/usr/src/uts/intel/scsi_vhci/Makefile	Thu Aug  8 11:20:51 2019
@@ -50,7 +50,7 @@
 include $(UTSBASE)/intel/Makefile.intel
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 
 # needs work
--- old/usr/src/uts/intel/semsys/Makefile	Thu Aug  8 11:20:52 2019
+++ new/usr/src/uts/intel/semsys/Makefile	Thu Aug  8 11:20:52 2019
@@ -70,7 +70,7 @@
 LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
 
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/sfe/Makefile	Thu Aug  8 11:20:52 2019
+++ new/usr/src/uts/intel/sfe/Makefile	Thu Aug  8 11:20:53 2019
@@ -78,7 +78,7 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # needs work
 SMOFF += all_func_returns
--- old/usr/src/uts/intel/sgen/Makefile	Thu Aug  8 11:20:53 2019
+++ new/usr/src/uts/intel/sgen/Makefile	Thu Aug  8 11:20:53 2019
@@ -69,7 +69,7 @@
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # Default build targets.
--- old/usr/src/uts/intel/sha2/Makefile	Thu Aug  8 11:20:54 2019
+++ new/usr/src/uts/intel/sha2/Makefile	Thu Aug  8 11:20:54 2019
@@ -68,7 +68,7 @@
 LINTFLAGS	+= -I$(COMDIR)
 
 CERRWARN	+= -_gcc=-Wno-switch
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 #	Default build targets.
--- old/usr/src/uts/intel/si3124/Makefile	Thu Aug  8 11:20:56 2019
+++ new/usr/src/uts/intel/si3124/Makefile	Thu Aug  8 11:20:56 2019
@@ -64,7 +64,7 @@
 DEBUG_FLGS	=
 DEBUG_DEFS	+= $(DEBUG_FLGS)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 #
 # lint pass one enforcement
